com.collabnet.ce.soap60.webservices.rbac

## Class RoleGroupSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.rbac.RoleGroupSoapRow

-     public class RoleGroupSoapRow
      extends Object

  A list of Role-Group mappings.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleGroupSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroupId()` Returns 'groupId'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getRoleId()` Returns 'roleId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setGroupId(String groupId)` Sets 'groupId'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setRoleId(String roleId)` Sets 'roleId'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleGroupSoapRow

          public RoleGroupSoapRow()

  - ### Method Detail

    - #### getRoleId

          public String getRoleId()

      Returns 'roleId'. Role identifier
      Returns:
        Value of 'roleId'.

    - #### setRoleId

          public void setRoleId(String roleId)

      Sets 'roleId'. Role identifier
      Parameters:
        `roleId` - Value of 'roleId'.

    - #### getGroupId

          public String getGroupId()

      Returns 'groupId'. Group identifier
      Returns:
        Value of 'groupId'.

    - #### setGroupId

          public void setGroupId(String groupId)

      Sets 'groupId'. Group identifier
      Parameters:
        `groupId` - Value of 'groupId'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. Project identifier
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. Project identifier
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.